package de.jottyfan.quickiemod.item;

import de.jottyfan.quickiemod.Quickiemod;
import net.minecraft.block.BlockState;
import net.minecraft.block.Blocks;
import net.minecraft.item.ItemUsageContext;
import net.minecraft.registry.Registries;
import net.minecraft.util.ActionResult;
import net.minecraft.util.Identifier;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

/**
 *
 * @author jotty
 *
 */
public class ItemSeed extends Item64Stack {

	private Identifier plant;

	public ItemSeed(Identifier identifier, Identifier plant) {
		super(identifier);
		this.plant = plant;
	}

	@Override
	public ActionResult useOnBlock(ItemUsageContext context) {
		BlockPos pos = context.getBlockPos();
		World world = context.getWorld();
		if (this.asItem().equals(context.getStack().getItem())) {
			BlockState state = world.getBlockState(pos);
			if (Registries.BLOCK.containsId(plant)) {
				if (Blocks.FARMLAND.equals(state.getBlock()) && world.getBlockState(pos.up()).isAir()) {
					world.setBlockState(pos.up(), Registries.BLOCK.get(plant).getDefaultState());
					context.getStack().decrement(1);
				} else {
					Quickiemod.LOGGER.error("could not find block {} in Registries...", plant.toShortTranslationKey());
				}
			}
		}
		return super.useOnBlock(context);
	}

}
