package de.jottyfan.quickiemod.itemgroup;

import java.util.List;

import de.jottyfan.quickiemod.Quickiemod;
import de.jottyfan.quickiemod.item.ModItems;
import net.fabricmc.fabric.api.itemgroup.v1.FabricItemGroup;
import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.registry.RegistryKey;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.text.Text;
import net.minecraft.util.Identifier;

/**
 *
 * @author jotty
 *
 */
public class ModItemGroup {

	public static final void registerItemGroup(List<Item> items, List<Block> blocks) {
		Registry.register(Registries.ITEM_GROUP,
				RegistryKey.of(RegistryKeys.ITEM_GROUP, Identifier.of(Quickiemod.MOD_ID, "itemgroup")),
				FabricItemGroup.builder().icon(() -> new ItemStack(ModItems.ITEM_SPEEDPOWDER))
						.displayName(Text.literal(Quickiemod.MOD_ID)).entries((enabledFeatures, stacks) -> {
							for (Item item : items) {
								stacks.add(new ItemStack(item));
							}
							for (Block block : blocks) {
								stacks.add(new ItemStack(block));
							}
						}).build());
	}
}
